%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%define apxs /usr/bin/apxs
%else
%define apxs /usr/sbin/apxs
%endif
Name:		mod_parp
Version:	0.13
Release:	2%{?dist}
Summary:	mod_parp is a HTTP request parameter parser module for the Apache web server.

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://parp.sourceforge.net/
Source0:	http://sourceforge.net/projects/parp/files/parp/%{version}/%{name}-%{version}-src.tar.gz
Source1:	10-%{name}.conf
Source2:	%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel
Requires:	httpd

%description
It processes the request message body as well as the query portion of the request URL. The module parsed this data and provides all parameter to other Apache modules by a table of name/value pairs.

%prep
%setup -q -n %{name}-%{version}

%build
cd apache2
%{apxs} -ca mod_parp.c

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%if 0%{?fedora} >= 18
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%else
cat %{SOURCE1} %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
install -D -m0755 apache2/.libs/mod_parp.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/%{name}.so

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/httpd/modules/%{name}.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%if 0%{?fedora} >= 18
%config(noreplace) %{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
%endif

%changelog
* Mon Apr 19 2014 momo-i <webmaster@momo-i.org> - 0.13-1
* Tue Jun 19 2012 momo-i <webmaster@momo-i.org> - 0.12-1
- update to 0.12

* Mon Jun  6 2011 momo-i <webmaster@momo-i.org> - 0.9-1
- Initial rpm release.
